<template>
  <div>
    <div class="card m-5 profile">
      <div class="card-header text-lg-start">Data Diri</div>
      <div class="card-body">
        <div class="row text-lg-start">
          <div class="col-md-6">username : {{ users.username }}</div>
          <div class="col-md-6">fullname : {{ users.fullname }}</div>
        </div>
      </div>
    </div>
  </div>
</template>

<script>
import axios from "axios";
export default {
  name: "Profile",
  data() {
    return {
      profileUser: null,
      tokenData: null,
      users: {},
    };
  },
  

  methods: {
    async getUsers() {
      await axios
        .get("api/users/me?token=" + this.tokenData)
        .then((response) => {
          this.users = response.data.data;
        });
    },
  },

  mounted() {
    this.tokenData = localStorage.getItem("token");
    this.profileUser = this.token;
    this.getUsers();
  },
};
</script>

<style lang="scss" scoped>
.profile {
  width: 60%;
}
</style>